<?php

namespace Drupal\commerce_epayco\PluginForm\OffsiteRedirect;

use Drupal\Core\Form\FormStateInterface;

/**
 * {@inheritdoc}
 */
class OnePageCheckoutForm extends OffsiteCheckoutFormBase {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);

    /** @var \Drupal\commerce_payment\Entity\PaymentInterface $payment */
    $payment = $this->entity;
    /** @var array $parameters */
    $parameters = $this->getPaymentParameters($payment, ['return_url' => $form['#return_url']], 'onepage');

    $form['#attached']['drupalSettings']['commerce_epayco'] = [
      'key' => $parameters['factory']['key'],
      'test' => $parameters['factory']['test'],
      'auto_open' => $parameters['configuration']['auto_open'],
      'checkout' => $parameters['checkout'],
    ];
    $form['actions']['epayco_payment_button'] = [
      '#type' => 'inline_template',
      '#template' => '<div class="js--epayco-payment-button"></div>',
      '#attached' => [
        'library' => [
          'commerce_epayco/checkout.form',
        ],
      ],
    ];

    return $form;
  }

}
